%define anolis_release 3
%undefine _hardened_build

Name:           patchelf
Version:        0.18.0
Release:        %{anolis_release}%{?dist}
Summary:        A utility for patching ELF binaries

License:        GPLv3+
URL:            http://nixos.org/patchelf.html
Source0:        https://github.com/NixOS/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch100:       0001-Fix-loongarch64-byte-alignment-to-4K.patch

BuildRequires:  gcc gcc-c++ make
BuildRequires:  autoconf automake
BuildRequires:  coreutils
BuildRequires:  libacl-devel libattr-devel

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library.  It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%package doc
Summary:         Doc files for %{name}
Requires:        %{name} = %{EVR}
BuildArch:       noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
%configure
%make_build

%check
make check || (cat tests/*.log; exit 1)

%install
%make_install

rm -rf %{buildroot}/usr/share/doc/%{name}
%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_patchelf
%dir %{abidir}
%{abidir}/patchelf-option.list

%files doc
%doc README.md

%changelog
* Fri Dec 22 2023 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.18.0-3
- rebuild

* Tue Jul 4 2023 doupengda <doupengda@loongson.cn> - 0.18.0-2
- Modify loongarch64 byte alignment to 4K

* Thu May 18 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.18.0-1
- init from upstream
